Activity hosts

The activity hosts resource represents a relationship between an activity, and it's hosts as contacts.

Activity host object

{
  "id": "0198ae1d-6aca-76eb-b4e1-3692813e4815",
  "tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
  "activity": "0198ae1d-6976-72d2-91cf-d56b90c71b05",
  "contact": "0198a445-b942-74e9-a722-dkm459xvx3m2",
  "created_at": "2025-08-15 14:23:40"
}

Fields

  • id
    required readonly string
    Unique ID of the record.
  • tenant
    required readonly string
    Unique ID of the tenant.
  • activity
    required string
    Unique ID of the activity.
  • contact
    required string
    Host's unique contact ID.
  • created_at
    required readonly string
    UTC timestamp of when the record was created.

Add host to activity

POST /tenants/{tenantId}/activity-hosts

The request body must include an activity host object.

Required permissions

activities:update contacts:read

Response

HTTP status Title Description Schema
201 Created Successfully created Activity host object
400 Bad Request Invalid or missing field(s) Error object
404 Not Found Tenant not found Error object

List activity hosts

GET /tenants/{tenantId}/activity-hosts

Required permissions

activities:read contacts:read

Response

HTTP status Title Description Schema
200 OK An associative array of activity host objects
400 Bad Request Invalid parameters in the request query Error object
404 Not Found Tenant not found Error object

Read an activity host

GET /tenants/{tenantId}/activity-hosts/{id}

Required permissions

activities:read contacts:read

Response

HTTP status Title Description Schema
200 OK Activity host object
400 Bad Request Invalid parameters in the request query Error object
404 Not Found Tenant or activity host ID not found Error object

Remove host from activity

DELETE /tenants/{tenantId}/activity-hosts/{id}

Required permissions

activities:update

Response

HTTP status Title Description Schema
204 No content Successfully removed
404 Not Found Tenant ID not found Error object
Was this page helpful?
© 2026 Bloom Data · System status